video extension
POST
/kling/v1/videos/video-extendBody Parametersapplication/json
callback_url string
Callback URL invoked on task completion
cfg_scale number
Prompt reference strength range [0,1]; higher = stronger
negative_prompt string
negative text prompt
prompt* string
Positive text prompt max 2500 characters
video_id* string
Video ID for extend (text/image/video); original video ≤3 minutes
Responses
200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"callback_url": "",
3"cfg_scale": 0.5,
4"negative_prompt": "",
5"prompt": "延长动画效果",
6"video_id": "828006748715380777"
7}
1curl -X POST "https://api.digislash.com/kling/v1/videos/video-extend" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"callback_url": "",
6"cfg_scale": 0.5,
7"negative_prompt": "",
8"prompt": "延长动画效果",
9"video_id": "828006748715380777"
10}'
1▼{
2"code": 0,
3▼"data": {
4"task_id": "task_example_001"
5},
6"message": "success"
7}
